> ## Documentation Index
> Fetch the complete documentation index at: https://docs.instantrestapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete resource



## OpenAPI

````yaml DELETE /resources/{id}
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://instantrestapi.com/api/
security: []
paths:
  /resources/{id}:
    delete:
      parameters:
        - name: id
          in: path
          description: Unique identifier for the resource
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Response
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors'
        '404':
          description: Not Found.
      security:
        - api-key: []
components:
  schemas:
    errors:
      required:
        - error
        - message
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/error'
    error:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key

````